RockPaperScissors

LizardSpock

Get Latest Ruby 1.9.2 Build with RVM

| Comments

Ruby 1.9.2-p290 released, if you have RVM installed updating to the latest release is easy

rvm get head
rvm reload
rvm install 1.9.2

If you do not have RVM installed you can read up here or just run:

bash < <(curl -s https://rvm.beginrescueend.com/install/rvm)

You may want to check your default gem list in your old version and add then make the new ruby your default. Having bundler present is almost essential for most projects, to install the protected gemsets.

rvm gem list > rvm_old_gemlist.txt
rvm --default use 1.9.2
gem install bundler

When only specifying a ruby version the latest release will be the default.

Comments